### Method

# Foundry TemplateManager list_templates

#### Declaration [src]

    DexFuture*
    foundry_template_manager_list_templates (
      FoundryTemplateManager* self,
      FoundryContext* context
    )

#### Description

No description available.

#### Parameters

`context`

  Type: `FoundryContext`

  A `FoundryContext` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryTemplate`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.